VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vcenter::HostTypes::CreateSpec Class Reference

The `Host.CreateSpec` class defines the information used to create a host. More...

List of all members.

## Classes
class | ThumbprintVerification
| The `Host.CreateSpec.ThumbprintVerification` enumerated type defines the thumbprint verification schemes for a host's SSL certificate. More...
## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
string | GetHostname ()
| The IP address or DNS resolvable name of the host.
void | SetHostname (string hostname)
| The IP address or DNS resolvable name of the host.
long | GetPort ()
| The port of the host.
void | SetPort (long?port)
| The port of the host.
string | GetUserName ()
| The administrator account on the host.
void | SetUserName (string userName)
| The administrator account on the host.
char[] | GetPassword ()
| The password for the administrator account on the host.
void | SetPassword (char[] password)
| The password for the administrator account on the host.
string | GetFolder ()
| Host and cluster folder in which the new standalone host should be created.
void | SetFolder (string folder)
| Host and cluster folder in which the new standalone host should be created.
vmware.vcenter.HostTypes.CreateSpec.ThumbprintVerification | GetThumbprintVerification ()
| Type of host's SSL certificate verification to be done.
void | SetThumbprintVerification (vmware.vcenter.HostTypes.CreateSpec.ThumbprintVerification thumbprintVerification)
| Type of host's SSL certificate verification to be done.
string | GetThumbprint ()
| The thumbprint of the SSL certificate, which the host is expected to have.
void | SetThumbprint (string thumbprint)
| The thumbprint of the SSL certificate, which the host is expected to have.
bool | GetForceAdd ()
| Whether host should be added to the vCenter Server even if it is being managed by another vCenter Server.
void | SetForceAdd (bool?forceAdd)
| Whether host should be added to the vCenter Server even if it is being managed by another vCenter Server.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Host.CreateSpec` class defines the information used to create a host.

## Constructor & Destructor Documentation

vmware::vcenter::HostTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::HostTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::HostTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::HostTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::HostTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::HostTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::HostTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::HostTypes::CreateSpec::GetFolder | ( |  | ) | `[inline]`

Host and cluster folder in which the new standalone host should be created.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

bool vmware::vcenter::HostTypes::CreateSpec::GetForceAdd | ( |  | ) | `[inline]`

Whether host should be added to the vCenter Server even if it is being managed by another vCenter Server.

The original vCenterServer loses connection to the host.

override int vmware::vcenter::HostTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::HostTypes::CreateSpec::GetHostname | ( |  | ) | `[inline]`

The IP address or DNS resolvable name of the host.

char [] vmware::vcenter::HostTypes::CreateSpec::GetPassword | ( |  | ) | `[inline]`

The password for the administrator account on the host.

long vmware::vcenter::HostTypes::CreateSpec::GetPort | ( |  | ) | `[inline]`

The port of the host.

string vmware::vcenter::HostTypes::CreateSpec::GetThumbprint | ( |  | ) | `[inline]`

The thumbprint of the SSL certificate, which the host is expected to have.

The thumbprint is always computed using the SHA1 hash and is the string representation of that hash in the format: xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx where, 'x' represents a hexadecimal digit.

vmware.vcenter.HostTypes.CreateSpec.ThumbprintVerification vmware::vcenter::HostTypes::CreateSpec::GetThumbprintVerification | ( |  | ) | `[inline]`

Type of host's SSL certificate verification to be done.

string vmware::vcenter::HostTypes::CreateSpec::GetUserName | ( |  | ) | `[inline]`

The administrator account on the host.

void vmware::vcenter::HostTypes::CreateSpec::SetFolder | ( | string | folder | ) | `[inline]`

Host and cluster folder in which the new standalone host should be created.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

void vmware::vcenter::HostTypes::CreateSpec::SetForceAdd | ( | bool? | forceAdd | ) | `[inline]`

Whether host should be added to the vCenter Server even if it is being managed by another vCenter Server.

The original vCenterServer loses connection to the host.

void vmware::vcenter::HostTypes::CreateSpec::SetHostname | ( | string | hostname | ) | `[inline]`

The IP address or DNS resolvable name of the host.

void vmware::vcenter::HostTypes::CreateSpec::SetPassword | ( | char[] | password | ) | `[inline]`

The password for the administrator account on the host.

void vmware::vcenter::HostTypes::CreateSpec::SetPort | ( | long? | port | ) | `[inline]`

The port of the host.

void vmware::vcenter::HostTypes::CreateSpec::SetThumbprint | ( | string | thumbprint | ) | `[inline]`

The thumbprint of the SSL certificate, which the host is expected to have.

The thumbprint is always computed using the SHA1 hash and is the string representation of that hash in the format: xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx:xx where, 'x' represents a hexadecimal digit.

void vmware::vcenter::HostTypes::CreateSpec::SetThumbprintVerification | ( | vmware.vcenter.HostTypes.CreateSpec.ThumbprintVerification | thumbprintVerification | ) | `[inline]`

Type of host's SSL certificate verification to be done.

void vmware::vcenter::HostTypes::CreateSpec::SetUserName | ( | string | userName | ) | `[inline]`

The administrator account on the host.

override string vmware::vcenter::HostTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- HostTypes.cs